<?php

  $sinClave=1;

  include_once("funciones.inc");

echo <<< FIN
<script src="js/jquery-3.1.1.min.js"></script>
<script src="js/highstock.js"></script>

FIN;

  function suficientesDatos($fechaMin, $fechaMax, $sql) {
    $r=sqli("select * from datos where ($sql) and fecha >= from_unixtime($fechaMin) and fecha < from_unixtime($fechaMax)");
    return mysqli_num_rows($r);
  }

  function grafica($datosGrafico, $intervaloTiempo) {


    foreach ($datosGrafico as $dato) {
      $proyecto = strtok($dato,":");
      $parametro = strtok(":");
      $tituloGrafico .= "$dato ";
      $sql .= "(proyecto='$proyecto' and parametro='$parametro') or ";
    }
    $sql=ereg_replace(" or $","",$sql);

    // Para el enum del sql
    $tiposDato=substr($tiposDato,0,strlen($tiposDato)-1);


    $NUM_DATOS=500;
    switch ($intervaloTiempo){
      case 'diario':
        $fechaMax=time();
        $fechaMin=time()-3600*24;
        $NUM_DATOS=200;
        if(suficientesDatos($fechaMin, $fechaMax, $sql) < $NUM_DATOS) {
          echo "<div style='font-size:1.3em;text-align:center; border: 10px solid #DD5D5D;margin-left:40%;margin-right:40%;padding:20px'>
            No hay suficientes datos para mostrar la gráfica
          </div>";
          return;
        }
        break;
      case 'semanal':
        $fechaMax=time();
        $fechaMin=time()-3600*24*7;
        if(suficientesDatos($fechaMin, $fechaMax, $sql) < $NUM_DATOS) {
          echo "<div style='font-size:1.3em;text-align:center; border: 10px solid #DD5D5D;margin-left:40%;margin-right:40%;padding:20px'>
            No hay suficientes datos para mostrar la gráfica
          </div>";
          return;
        }
        break;
      case 'mensual':
        $fechaMax=time();
        $fechaMin=time()-3600*24*30;
        if(suficientesDatos($fechaMin, $fechaMax, $sql) < $NUM_DATOS) {
          echo "<div style='font-size:1.3em;text-align:center; border: 10px solid #DD5D5D;margin-left:40%;margin-right:40%;padding:20px'>
            No hay suficientes datos para mostrar la gráfica
          </div>";
          return;
        }
        break;
      case 'total':
        $r=sqli("select unix_timestamp(max(fecha)) max, unix_timestamp(min(fecha)) min from datos where ($sql)");
        $res=mysqli_fetch_array($r);
        $fechaMin=$res[min];
        $fechaMax=$res[max];
        if(suficientesDatos($fechaMin, $fechaMax, $sql) < $NUM_DATOS) {
          echo "<div style='font-size:1.3em;text-align:center; border: 10px solid #DD5D5D;margin-left:40%;margin-right:40%;padding:20px'>
            No hay suficientes datos para mostrar la gráfica
          </div>";
          return;
        }
        break;
      default:
        echo "<div style='font-size:1.3em;text-align:center; border: 10px solid #DD5D5D;margin-left:40%;margin-right:40%;padding:20px'>
          Error: no se ha pasado el intervalo de tiempo
        </div>";
        break;

    }

    $intervalo = ($fechaMax-$fechaMin)/$NUM_DATOS;

    $tInic=time();
    while (substr(date("i",$tInic),1,1)!="0") $tInic--;

    $intervaloInt = round($intervalo);

// echo "select concat(left(proyecto,3),':',parametro) parametro, round((unix_timestamp(fecha) - $fechaMin) / $intervaloInt) % $NUM_DATOS paso, round(avg(valor),1) valor from datos where ($sql) and fecha >= from_unixtime($fechaMin) and fecha < from_unixtime($fechaMax) group by 1,2";
    $r=sqli("select concat(left(proyecto,3),':',parametro) parametro, round((unix_timestamp(fecha) - $fechaMin) / $intervaloInt) % $NUM_DATOS paso, round(avg(valor),1) valor from datos where ($sql) and fecha >= from_unixtime($fechaMin) and fecha < from_unixtime($fechaMax) group by 1,2");

    while ($rgto=mysqli_fetch_array($r)) {
        $datos[$rgto['parametro']][$rgto['paso']] = $rgto['valor'];
    }


    $eje=0;
    foreach ($datos as $parametro => $dS) {

      $proy=strtok($parametro,":");
      $tD=strtok(":");

      switch ($tD) {

        case "tAgua":
          $series .= " { name: '$proy - T. Agua', color: 'rgb(220,225,125)', type: 'spline', yAxis: $eje,  data: [";
          $ejes .= "{ labels: { format: '{value} �C' } }, ";
          break;

        case "tAire":
          $series .= " { name: '$proy - T. Aire', color: 'rgb(220,125,125)', type: 'spline', yAxis: $eje, data: [";
          $ejes .= "{ labels: { format: '{value} �C' } }, ";
          break;

        case "humedad":
          $series .= " { name: '$proy - Humedad', color: 'rgb(125,125,220)', type: 'spline', yAxis: $eje, data: [";
          $ejes .= "{ labels: { format: '{value} %' } }, ";
          break;

        case "luz":
          $series .= " { name: '$proy - Luminosidad', color: 'rgb(255,235,50)', type: 'area', yAxis: $eje, data: [";
          $ejes .= "{ labels: { format: '{value} lux' } }, ";
          break;

        default:
          $series .= " { name: '$proy - $tD', type: 'spline', yAxis: $eje, data: [";
          $ejes .= "{ labels: { format: '{value}' } }, ";
          break;
      }


      for ($i=0;$i<$NUM_DATOS;$i++) {
        if (isset($dS[$i]))
          $v = 0 + $dS[$i];
        else
          $v="'null'";
        $series .= "[". round($fechaMin + $intervalo*$i)*1000 . ",$v],";
      }
      $series.="]  },";
      $eje++;
    }



    echo <<< FIN


    <div id="container" style="max-width: 800px; min-width: 310px; height: 350px; margin: 0 auto"></div>
    <script>
    $(function () {
    Highcharts.stockChart('container', {

      rangeSelector: {
           selected: 1
       },

        chart: {
            type: 'line',
            zoomType: 'x',
            backgroundColor: 'rgba(255,255,255,0.9)',
        },

        navigation: {
        buttonOptions: {
          enabled: true
          }
        },

        title: {
            text: '$tituloGrafico'
        },
        subtitle: {
            text: 'Source: hipis.es'
        },
        xAxis: {
          type: 'datetime',
          crosshair: true,
        },

        yAxis: [ $ejes ],

        series: [ $series ]
    });
    });

    </script>

FIN;
  }
