<?php

   include("funciones.inc");

   cabecera();

   $posiciones = [
       [[65, 20], [135, 20], [190, 20], [250, 20], [300, 20], [345, 20], [390, 20], [435, 20]],
       [[90, 144], [150, 141], [205, 138], [260, 135], [306, 132], [355, 129], [400, 126], [445, 123]],
       [[115, 290], [175, 284], [230, 278], [280, 272], [330, 266],	[375, 260],	[415, 254],	[460, 248]],
       [[150, 446],	[215, 435],	[280, 424],	[335, 413],	[390, 402],	[445, 391],	[490, 380]],
       [[150, 600],	[215, 580],	[280, 560],	[335, 540],	[390, 525],	[440, 510],	[490, 495]]
   ];

   $plantas = ['fresitas.png', 'espinacas.png', 'lechuga.png', 'pimientoRojo.png', 'pimientoVerde.png', 'pimientoAmarillo.png', 'lechugaRoja.png'];

echo <<<FIN
  <style>
  /* Popup container - can be anything you want */
  .popup {
    position: relative;
    display: inline-block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin-left:550px;
    margin-top:50px;
  }

  /* The actual popup */
  .popup .popuptext {
    visibility: hidden;
    width: 200px;
    background-color: #85CD39;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 8px 0;
    z-index: 1;
    bottom: 20%;
    left: 450%;
    margin-left: -80px;
  }

  /* Toggle this class - hide and show the popup */
  .popup .show {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
  }

  /* Toggle this class - hide and show the popup with the possible plants to select */
  .popup .showSelector {
    visibility: visible !important;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
    max-height: 450px;
    width: 250px;
    overflow: auto;
    display: inline-block;
  }

  .popup .showInformacion {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
    height: auto;
    max-height: 450px;
    width: 250px;
    overflow: auto;
    display: inline-block;
  }

  .planta {
     margin-left: -10px;
  }

  .plantaResaltada {
    border: 2px solid #808080;
    background-color: #e0e0e0;
    border-radius:5px;
    cursor: pointer;
    z-index: 5000 !important;
  }

  .plantaNormal {
    border: 0px;
    z-index: 100 !important;
  }

  /* Add animation (fade in the popup) */
  @-webkit-keyframes fadeIn {
    from {opacity: 0;}
    to {opacity: 1;}
  }

  @keyframes fadeIn {
    from {opacity: 0;}
    to {opacity:1 ;}
  }


  </style>

  <div style="margin-left:20%">
  <div style="position:absolute;width:550px;margin-top:50px!important;margin:0 auto;" id="hidroponico" class="col-md-13">

    <img width="70%" src="/iconos/hidroponico.png">


FIN;

  foreach($posiciones as $x=>$fila){
    foreach($fila as $y=>$posicion){
      $posX = (($posicion[0] -45)*0.7).'px';
      $posY = (($posicion[1] -106)*0.7).'px';

      $plantaImg = "/iconos/" . $plantas[rand(0,6)]; // Aleatorio

      // Acceso a la base de datos
      if ($plantaDB = mysqli_fetch_array(sqli("select * from plantas, hidroponico where hidroponico.tipoPlanta=plantas.identificador and hidroponico.fila='$x' and hidroponico.columna='$y'"))) {
        $plantaImg="/iconos/" . $plantaDB['nombreImagen'];
        $funcionClick = "infoPlanta('" . $plantaDB['nombrePlanta']. "','" .$plantaDB['fechaPlantada']. "','" .$plantaDB['comentarios']. "', '$x', '$y')";

      } else {
        // no hay ninguna planta plantada
        $plantaImg="/iconos/noPlanta.png";
        $funcionClick = "muestraPlantas($x, $y)";

      }
      $zIndex = 100*$y;
      echo <<<FIN
        <script> var plantaSeleccionada='';</script>
        <div style="margin-left: 10px; width: 50px; overflow: visible; position:absolute;top:$posY;left:$posX; z-index:$zIndex; text-align:center" onclick="if (plantaSeleccionada != '') { $('#divPlanta_'+plantaSeleccionada).attr('class', 'plantaNormal');} plantaSeleccionada='$x$y'; $('#divPlanta_$x$y').attr('class', 'plantaResaltada'); $funcionClick" id="divPlanta_$x$y" onmouseover="$('#divPlanta_$x$y').attr('class', 'plantaResaltada'); if (plantaSeleccionada == '') {$funcionClick }"
        onmouseout="if (plantaSeleccionada != '$x$y') { $('#divPlanta_$x$y').attr('class', 'plantaNormal'); }" >
          <img class="planta" id="imgPlanta_$x$y" width="70px" src="$plantaImg" >
        </div>

FIN;
    }
  }
  echo '</div>';

  echo "<div class='popup col-md-13' >
        <span  class='popuptext' id='myPopup'></span>
        </div>
        </div>";
//style='margin-left:550px;position:absolute;height: 300px;overflow: auto;border: 10px solid black;'
  echo <<<FIN
  <script>

  // When the user clicks on div, open the popup
  function muestraPlantas(x, y) {
    var popup = document.getElementById("myPopup");
    popup.innerHTML =
      "<div style='text-align:right;padding-right:10px;padding-top:5px'><span style='text-align:right;font-size:1.5em; color:#333; margin:10px;' id='iconoBorrarDiv' onclick=\" $('#myPopup').attr('class', 'popuptext'); $('#divPlanta_'+plantaSeleccionada).attr('class', 'plantaNormal'); plantaSeleccionada='';\">" +
        "<img width='10%' src='/iconos/cerrar.png' >"+
      "</span></div><br>"+
      "<span style='font-size:1.2em; margin:10px'> Selecciona la planta que deseas añadir al hidropónico </span>"+
      "<table border=0 align=center width=150px>"+
        "<tr>"+
FIN;

    $r=sqli("select * from plantas");
    $contador = 0;

    while ($d=mysqli_fetch_array($r)) {

      if (++$contador % 2 == 1)
        echo "\"</tr><tr>\"+";

      $rutaPlanta = "/iconos/" . $d['nombreImagen'];
      $nombrePlanta = $d['nombrePlanta'];
      $identificadorPlanta = "\\" . "\"" . $d['identificador'] .  "\\" .  "\"";
      echo "
        \"<td align=center>\"+
          \"<div style='padding:10px; cursor:pointer;' onclick='seleccionarPlanta(\" + x + \", \" + y + \",  $identificadorPlanta )'>\"+
          \"<img height='70%' src= '$rutaPlanta '>\"+
          \"<span style='font-size:10px'> $nombrePlanta </span>\"+
          \"</div>\"+
        \"</td>\"+";
    }

    echo "
      \"</tr></table>\"+
      \"<br />\";";

    echo <<<FIN
    popup.classList.remove("showInformacion");
    popup.classList.toggle("showSelector");
  }

  </script>
FIN;

/*
echo "
  \"<td align=center>\"+
    \"<div style='padding:10px' onclick='seleccionarPlanta(\" + x + \", \" + y + \", \" + $identificadorPlanta + \" )'>\"+
    \"<img height='70%' src= '$rutaPlanta '>\"+
    \"<span style='font-size:10px'> $nombrePlanta </span>\"+
    \"</div>\"+
  \"</td>\"+";
*/

?>
