#!/usr/bin/php
<?php

   chdir("/www/tfg/daemon");
   require("funciones.inc");

   echo "Iniciado deaemon\n";

   // configuramos el puerto serie a la velocidad del arduino
   system("stty -F /dev/ttyS2 9600 -echo");
   $puertoSerie =fopen("/dev/ttyS2", "rwb+");
   // Para no bloquear el stream. Si no hay nada que leer sale inmediatamente del fread
   stream_set_blocking($puertoSerie,false);
   $buffer="";
   $ultimaPeticion=0;

   $r=sqli("select * from configuracion where parametro = 'tiempoSolicitudDatos';");
   $config['orangePi']['tiempoSolicitudDatos']=mysqli_fetch_array($r)[valor];
   $proyecto="TFG";
   $horaEncenderLuz=0;
   $horaApagarLuz=0;

   // $r=sqli("select * from configuracion where parametro = 'modoLeds';");
   // $modoLeds = mysqli_fetch_array($r)[valor];
   // $encenderLeds = false;
   // $apagarLeds = false;

   // Estado de leds y bomba en el arudino
   $estadoLeds  = null;
   $estadoBomba = null;

   $ultimoDatoNotificado=mysqli_fetch_array(sqli("select id from datos order by id desc limit 1"))[id];
   echo "Ultimo dato notif: $ultimoDatoNotificado";
   $notificacionErrores = array();

   while (true) {


      // Leemos el puerto serie (1 byte); si no hay nada, comprobamos configuraciรณpn
      $c=fread($puertoSerie, 1);
      if ( $c == null) {

        leeConfiguracion();
        usleep(50000);   // 50 milisegundos

      } else {

         if ( $c != "\n") {
           $buffer.=$c;
         } else {
           $comando = $buffer;
           procesaComando($comando);
           $buffer="";

           // Miramos si hay errores o se han restablecido para notificarlos
           compruebaErrores();

         }

      }

      //
      $ahora = microtime(true); // Tiempo UNIX con precision de microsegundos (float)

      if (($ahora - $ultimaPeticion) > $config['orangePi']['tiempoSolicitudDatos']) {
        fwrite($puertoSerie,"Get;");
        echo "Get;\n";
        compruebaErrores();
        $ultimaPeticion=$ahora;
      }

      // Los parámetros forzarBombaX toman el valor "no", o el tiempo máximo en
      // que se debe forzar el estado de la bomba
      if (is_numeric($config[bomba][forzarBombaOn])) {
        if ($ahora > $config[bomba][forzarBombaOn]) {
          sqli("update configuracion set valor='no' where parametro='forzarBombaOn'");
          $config[bomba][forzarBombaOn]='no';
        } else {
          $nuevoEstadoBomba = "si";
        }
      }

      if (is_numeric($config[bomba][forzarBombaOff])) {
        if ($ahora > $config[bomba][forzarBombaOff]) {
          sqli("update configuracion set valor='no' where parametro='forzarBombaOff'");
          $config[bomba][forzarBombaOff]='no';
        } else {
          $nuevoEstadoBomba = "no";
        }
      }

      // Bomba en modo normal
      if ($config[bomba][forzarBombaOn]=='no' && $config[bomba][forzarBombaOff]=='no') {
         if ((integer)($ahora/60) % $config[bomba][ciclo] < $config[bomba][tiempoBombaOn]) {
           $nuevoEstadoBomba = "si";
         } else {
           $nuevoEstadoBomba = "no";
         }
      }


      if ($nuevoEstadoBomba != $estadoBomba) {
        // mail("sara@cysol.net","Bomba",$estadoBomba);
        $estadoBomba = $nuevoEstadoBomba;
        fwrite($GLOBALS[puertoSerie],"Config: estadoLeds=$estadoBomba/;");
        echo "Config: estadoBomba=$estadoBomba/;\n";
      }




      switch ($config[leds][modoLeds]) {
        case 'Manual' :
          $nuevoEstadoLeds = $config[leds][estadoLeds];
          break;

        case 'Temporizador' :

          $horaActual=date("H:i");  // p.ej. 19:20

          if (
                ($config[leds][horaApagarLeds] > $config[leds][horaEncenderLeds] &&
                  $horaActual >= $config[leds][horaEncenderLeds] &&
                  $horaActual < $config[leds][horaApagarLeds]) ||
                ($config[leds][horaApagarLeds] < $config[leds][horaEncenderLeds] &&
                  ($horaActual >= $config[leds][horaEncenderLeds] ||
                  $horaActual < $config[leds][horaApagarLeds])))
            {
              $nuevoEstadoLeds=si;
            } else {
              $nuevoEstadoLeds=no;
            }
          break;

        case 'Automatico' :

          $datoLuz=mysqli_fetch_array(sqli("select * from datos where parametro = 'luz' order by fecha desc limit 1;"));
          $nuevoEstadoLeds = $datoLuz[valor] < $config[leds][minLux] ? "si" : "no";
          break;

      }

      if ($nuevoEstadoLeds != $estadoLeds) {
        $estadoLeds = $nuevoEstadoLeds;
        fwrite($GLOBALS[puertoSerie],"Config: estadoLeds=$estadoLeds/;");
        echo "Config: estadoLeds=$estadoLeds/;\n";
      }

     // if ($GLOBALS[modoLeds] == "Temporizador"){
     //
     //   if($GLOBALS[encenderLeds] && $GLOBALS[horaEncenderLuz] == date('H:i', $ahora)){
     //     //echo "ActualizarLeds";
     //     sqli("update configuracion set valor='si' where parametro='estadoLeds';");
     //     fwrite($GLOBALS[puertoSerie],"Config: estadoLeds=si/;");
     //     //echo "Config: estadoLeds=si/;\n";
     //     $GLOBALS[encenderLeds] = false;
     //   }
     //   if ($GLOBALS[apagarLeds] && $GLOBALS[horaApagarLuz] == date('H:i', $ahora)){
     //     //echo "ActualizarLeds";
     //     sqli("update configuracion set valor='no' where parametro='estadoLeds';");
     //     fwrite($GLOBALS[puertoSerie],"Config: estadoLeds=no/;");
     //     //echo "Config: estadoLeds=no/;\n";
     //     $GLOBALS[apagarLeds] = false;
     //   }
     // }
     // else if($GLOBALS[modoLeds] == "Automatico") {
     //   $r=sqli("select * from datos where parametro = 'luz' order by fecha desc limit 1;");
     //   if ($GLOBALS[encenderLeds] && mysqli_fetch_array($r)[valor] <= $GLOBALS[minLux]){
     //     //echo "ActualizarLeds";
     //     sqli("update configuracion set valor='si' where parametro='estadoLeds';");
     //     fwrite($GLOBALS[puertoSerie],"Config: estadoLeds=si/;");
     //     //echo "Config: estadoLeds=si/;\n";
     //     $GLOBALS[encenderLeds] = false;
     //     $GLOBALS[apagarLeds] = true;
     //   }
     //   else if($GLOBALS[apagarLeds]){
     //     //echo "ActualizarLeds";
     //     sqli("update configuracion set valor='no' where parametro='estadoLeds';");
     //     fwrite($GLOBALS[puertoSerie],"Config: estadoLeds=no/;");
     //     //echo "Config: estadoLeds=no/;\n";
     //     $GLOBALS[encenderLeds] = true;
     //     $GLOBALS[apagarLeds] = false;
     //   }
     //
     // }
    // echo "ahora".$ahora;
    // echo "dife".($ahora - $ultimaPeticion)."\n";





   }

   function procesaComando($comando) {

     if (strlen($comando)==0) return;

     $palabras=explode(" ",$comando);
     echo "Comando: $comando\n";
     switch($palabras[0]) {
       case "Datos":
        $proyecto = str_replace(":","",$palabras[1]);
        $listaDatos = explode(";",$palabras[2]);
        foreach ( $listaDatos as $datoRecibido) {
          $vDato = explode("=",$datoRecibido);
          sqli("insert into datos (proyecto,parametro,valor,fecha) values ('$proyecto','$vDato[0]','$vDato[1]',now())");
          //mail("david@cysol.net","tfg","Guardado $datoRecibido\n");
        }

        //echo "Comando Datos:::::::: $comando\n";
        // Procesamos datos...
        break;

      case "Error":
       $GLOBALS[proyecto] = str_replace(":","",$palabras[1]);
       $listaDatos = explode(";",$palabras[2]);
       foreach ( $listaDatos as $datoRecibido) {
         $vDato = explode("=",$datoRecibido);
         sqli("insert into datos (proyecto,parametro,valor,fecha) values ('$proyecto','$vDato[0]','$vDato[1]',now())");
         //mail("david@cysol.net","tfg","Guardado $datoRecibido\n");
       }

       // echo "Comando Datos: $comando\n";
       // Procesamos datos...
       break;

      case "Config":
        $GLOBALS[proyecto] = str_replace(":","",$palabras[1]);
        leeConfiguracion();
        break;

      default:
        echo "Comando desconocido: \"$comando\"\n";
     }

   }

   function leeConfiguracion() {
     $rC = sqli("select * from configuracion where proyecto='$GLOBALS[proyecto]' order by orden");
     while ($param = mysqli_fetch_array($rC)) {
       $GLOBALS[config][$param[ambito]][$param[parametro]] = $param[valor];

       if($param[ambito]=="orangePi" && $param[parametro] == "tiempoSolicitudDatos"){
         if($GLOBALS[config]['orangePi']['tiempoSolicitudDatos'] != $param[valor]){
            $GLOBALS[config]['orangePi']['tiempoSolicitudDatos'] = $param[valor];
         }
       }

       if ($param[ambito]=="arduino") {
         if ($GLOBALS['configArduino'][$param[parametro]] != $param[valor]) {
           $GLOBALS['configArduino'][$param[parametro]] = $param[valor];
           $lineaConfig .= "$param[parametro]=$param[valor]/";
         }
       }
       // else if($param[ambito]=="leds"){
       //   if($GLOBALS[modoLeds] == "Temporizador"){
       //     //echo"modoLeds: Temporizador";
       //     if($param[parametro]=="horaEncenderLeds") {
       //       $GLOBALS[horaEncenderLuz] = $param[valor];
       //       $GLOBALS[encenderLeds] = true;
       //       //echo "HoraEncender: ".$horaEncenderLuz;
       //     }
       //     else if($param[parametro]=="horaApagarLeds") {
       //       $GLOBALS[horaApagarLuz] = $param[valor];
       //       $GLOBALS[apagarLeds] = true;
       //       //secho "HoraApagar: ".$horaApagarLuz;
       //     }
       //   }
       //   else if($GLOBALS[modoLeds] == "Automatico"){
       //     //echo"modoLeds: AUTO";
       //     if($param[parametro]=="minLux") {
       //       $GLOBALS[minLux] = $param[valor];
       //       //echo "MinimaIluminacion: ".$minLux;
       //       $GLOBALS[apagarLeds] = true;
       //     }
       //   }
       // }
     }
     if ($lineaConfig) {
     // Ha cambiado la configuraciรณn del arduino; se la enviamos
       fwrite($GLOBALS[puertoSerie],"Config: $lineaConfig;");
       echo "  Config: $lineaConfig;\n";
     }
   }




   function compruebaErrores() {

     global $ultimoDatoNotificado, $notificacionErrores, $config;

      $r = sqli("select * from datos where valor like 'Error%' and id>'$ultimoDatoNotificado'");
      $mensajeErrores="";
      while ($dato=mysqli_fetch_array($r)) {
        echo "Comprobando $dato[parametro]\n";
        if (!$notificacionErrores[$dato[parametro]]) {
          $mensajeErrores .= $dato[valor] . "\n";
        }
        $notificacionErrores[$dato[parametro]]=$dato[id];
      }
      // Enviamos email
      if ($mensajeErrores) {
        mail($config[correo][email],"Error(es) en tu hidroponico",$mensajeErrores);
        echo "Enviado email: $mensajeErrores\n";
      }
      $ultimoDatoNotificado=mysqli_fetch_array(sqli("select id from datos order by id desc limit 1"))[id];

      $mensajeErrorSubsanado="";
      foreach ($notificacionErrores as $parametro => $idDato) {
        if (mysqli_num_rows(sqli("select * from datos where parametro='$parametro' and id>'$idDato' and valor not like 'Error%'"))) {
          $mensajeErrorSubsanado .= "Se ha subsanado el error de $parametro\n";
          unset($notificacionErrores[$parametro]);
        }
      }
      // Enviamos email
      if ($mensajeErrorSubsanado) {
        mail($config[correo][email],"Error(es) subsanado(s) en tu hidroponico",$mensajeErrorSubsanado);
        echo "Enviado email: $mensajeErrorSubsanado\n";
      }
    }


?>
