<?php

$temp=gettimeofday();
$t_ini=$t_ultimo=$temp["sec"]+$temp["usec"]/1000000;

$servidor_sql="localhost";

$TITULO = "Diseño de una arquitectura IoT para el control de sistemas hidrop&oacute;nicos";
// Estamos en un dispositivo movil?
$mobile = (
           stristr($_SERVER[HTTP_USER_AGENT],"Mobile") ||
           stristr($_SERVER[HTTP_USER_AGENT],"iphone") ||
           stristr($_SERVER[HTTP_USER_AGENT],"android")
          );

function cabecera() {
  session_start();
  echo <<< FIN

  <!DOCTYPE html>
  <html lang="en">
  <head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <script src='js/funciones.js'></script>
  <style type="text/css">

  body{
     min-width:1000px; // Suppose you want minimum width of 1000px
     _width: expression( document.body.clientWidth > 1000 ? "1000px" : "auto" ); /* sets max-width for IE6 */
  }

 * {
   margin: 0 auto;
   //padding: 0px;
   font-family: Arial;
 }

 ul, ol {
   list-style:none;
   font-size: 12px;
 }
 .nav{
   width: 100%;

 }
 .nav > li {
   float: none;
   display: inline-block;
   font-size: 14px;
   width: 180px;
 }

 .nav li a {
   background-color: none !important;
   color: #9E9E9E;
   text-decoration:none;
   padding:10px;
   margin:0px !important;
   display:block;
   text-align:text-center;
    border-radius:5px;
    -moz-border-radius:5px;
    -webkit-border-radius:5px;
 }

 .nav li a:hover {
   background-color: #f4f4f4;
   text-decoration: none !important;
   color: #85CD39;
 }

 .nav li ul {
   display:none;
   position:absolute;
   text-align:left;
   padding:0;
   background-color: #ffffff;
   border-style:solid;
   border-color:#f3f3f3;
   border-width:1px;
   border-radius:5px;
   -moz-border-radius:5px;
   -webkit-border-radius:5px;
   margin:0px !important;
 }

 .nav li:hover > ul {
   display:block;
 }

 .nav li:active > ul {
   display:block;
 }


  .nav1{
   width: 100%;
 }
 .nav1 > li {
   float: none;
   display: inline-block;
   background-color: #f0f0f0;
   border-style:solid;
   border-color:grey;
   border-width:1px;
   border-radius:5px;
   -moz-border-radius:5px;
   -webkit-border-radius:5px;
   margin:0px !important;
   box-shadow: 1px 1px 0 #AAA,      /* Sombra 1 */
           3px 3px 2px #777,      /* Sombra 2 */
           6px 6px 8px #444;    /* Sombra 3 */
   padding:0;
  }
  .nav li a {
    text-decoration:none;
    display:block;
  }
  .text-primary { color:#404060;}

  /* Button used to open the chat form - fixed at the bottom of the page */
  .open-button {
    background-color: #DD5D5D;
    color: white;
    padding: 16px 20px;
    border: none;
    cursor: pointer;
    opacity: 0.8;
    position: fixed;
    bottom: 23px;
    right: 28px;
    width: 280px;
  }

  /* The popup chat - hidden by default */
  .chat-popup {
    display: none;
    position: fixed;
    bottom: 0;
    right: 15px;
    border: 3px solid #f1f1f1;
    z-index: 9;
  }

  /* Add styles to the form container */
  .form-container {
    width: 300px;
    padding: 10px;
    background-color: white;
  }

  /* Full-width textarea */
  .form-container textarea {
    width: 100%;
    padding: 15px;
    margin: 5px 0 22px 0;
    border: none;
    background: #f1f1f1;
    resize: none;
    min-height: 200px;
  }

  /* When the textarea gets focus, do something */
  .form-container textarea:focus {
    background-color: #ddd;
    outline: none;
  }

  /* Set a style for the submit/send button */
  .form-container .btn {
    background-color: #4CAF50;
    color: white;
    padding: 16px 20px;
    border: none;
    cursor: pointer;
    width: 100%;
    margin-bottom:10px;
    opacity: 0.8;
  }

  /* Add a red background color to the cancel button */
  .form-container .cancel {
    background-color: red;
  }

  /* Add some hover effects to buttons */
  .form-container .btn:hover, .open-button:hover {
    opacity: 1;
  }

  .parpadea {

  animation-name: parpadeo;
  animation-duration: 3s!important;
  animation-timing-function: linear;
  animation-iteration-count: infinite;

  -webkit-animation-name:parpadeo;
  -webkit-animation-duration: 1s;
  -webkit-animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
  }

  @-moz-keyframes parpadeo{
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
  }

  @-webkit-keyframes parpadeo {
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
     100% { opacity: 1.0; }
  }

  @keyframes parpadeo {
    0% { opacity: 1.0; }
     50% { opacity: 0.0; }
    100% { opacity: 1.0; }
  }

  </style>
   <title>$GLOBALS[TITULO]</title>
    </head>
    <body class"body">
    <div class=container style='width:100%;'>
      <h1 class='text-center'>$GLOBALS[TITULO]</h1>
      <h2 class=text-center><a href='index.php' style='text-decoration:none'>$res->valor</a></h2>
      <div style="padding-top: 15px; width: 100%; margin:auto; text-align:center; z-index:1000" class="nav">
        <li class="col-md-3"><a href="index.php">MI HIDROPÓNICO</a></li>
        <li class="col-md-3"><a href="niveles.php">ESTADO ACTUAL DEL SISTEMA</span></a></li>
        <li class="col-md-3"><a>HISTÓRICO</a>
          <ul style="width: 100%!important; z-index:1000" >
            <li><a href="/historico.php?tipo=diario">DIARIO</a></li>
            <li><a href="/historico.php?tipo=semanal">SEMANAL</a></li>
            <li><a href="/historico.php?tipo=mensual">MENSUAL</a></li>
            <li><a href="/historico.php?tipo=total">TOTAL</a></li>
          </ul>
        </li>
        <li class="col-md-3"><a href="configuracion.php">NOTIFICACIONES Y CONFIGURACIÓN</a></li>
      </div>
    </body>
  <br /><br />

FIN;

  $p=sqli("select * from datos as d1 where valor LIKE 'Error%' and (select count(*) from datos where parametro=d1.parametro and fecha>d1.fecha) = 0
  order by fecha desc");
  $contErrores=mysqli_num_rows($p);

if($contErrores>0){
  echo"<button class='open-button parpadea' onclick='openForm()'>ERRORES ($contErrores)</button>";
}
  echo"
  <div class='chat-popup' id='myForm'>
  <form class='form-container'>";
  if($contErrores>0){
    echo"  <h2 style='text-align:center;' >Últimos errores</h2>";
  }
  $r=sqli("select * from datos as d1 where valor LIKE 'Error%' and (select count(*) from datos where parametro=d1.parametro and fecha>d1.fecha) = 0 order by fecha desc;");
  while ($p = mysqli_fetch_array($r)) {
      echo "<label for='msg'><b>$p[fecha] : $p[valor]</b></label>
      <br /><br />";
  }
  echo <<<FIN
      <button type='submit' class='btn' onclick='refreshForm()'>Actualizar errores</button>
      <button type='button' class='btn cancel' onclick='closeForm()'>Cerrar</button>
    </form>
  </div>

  <script>
  function openForm() {
    document.getElementById('myForm').style.display = 'block';
  }

  function closeForm() {
    document.getElementById('myForm').style.display = 'none';
  }
  function refreshForm() {
    location.reload();
  }
  </script>

  <div style='width:100%; position:fixed; bottom:0; z-index:100; background-color:white;  opacity:.40'>
    &copy; <?php echo date("Y"); ?> Sara Hinojosa Pinto
  </div>

FIN;

    //formulario de registro a la página web


     if (($_REQUEST[usuario]!="") && ($_REQUEST[clave]!="")) {
       $_SESSION[usuario] = addslashes($_REQUEST[usuario]);
       $_SESSION[clave]   = addslashes($_REQUEST[clave]);
     }

     if ($_SESSION[usuario] && $_SESSION[clave]) {
      $r=sqli("select * from usuarios where nombre='$_SESSION[usuario]' and clave = md5('$_SESSION[clave]');");
      // Si no se encuentra el usuario, vacio usuario/clave de la sesión
      if ( mysqli_num_rows($r)==0) {
               $_SESSION[usuario]=$_SESSION[clave]="";
      }

     }
     if (!$_SESSION[usuario]) {

         echo <<< FIN

           <!-- Modal HTML -->
           <div id="miModal" class="modal fade" style='margin-top:200px'>
               <div class="modal-dialog">
                   <div class="modal-content">
                       <div class="modal-header">
                           <h4 class="modal-title"> Identificación necesaria  </h4>
                       </div>
                       <div class="modal-body" style='width: 350px;'>

                          <form action='$PHP_SELF' method='post'>

                          <div class="form-group">
                            <label for="titulo">Usuario</label>
                            <input type="text" class="form-control" name="usuario" value='' placeholder="" maxlength=32 required>
                          </div>

                          <div class="form-group">
                            <label for="titulo">Clave</label>
                            <input type="password" class="form-control" name="clave" value='' placeholder="" maxlength=32 required>
                          </div>

                          <button type='submit' class='btn btn-primary'>Acceder</button>

                          </form>

                       </div>
                       <div class="modal-footer">

                       </div>
                   </div>
               </div>
           </div>

       <script type="text/javascript">

               $('#miModal').modal({backdrop: 'static', keyboard: false})

       </script>
FIN;


       exit;
    }
  }  // cabecera


   function sqli($query)
   {
       global $connMySQL;

       if (!$connMySQL) {
           if (!$connMySQL = @mysqli_connect($GLOBALS[servidorSQL], "root", "", "tfg")) {
               die("Se ha producido un error al conectar a la base de datos");
           }
       }

       $r=$connMySQL->query($query);

       if (!$r) {
         die("Error: al acceder a la base de datos: ". mysqli_error($connMySQL));
       }

       return $r;
}

 function escribe($texto)  {
     echo $texto;
     ob_flush();
     flush();
 }

 ?>
