function seleccionarPlanta(x, y, nombrePlanta){

  data =  {
    x:x,
    y:y,
    planta:nombrePlanta
  }
  $.ajax({
      url: "getPlantas.php",
      type: "post",
      data: data,
      success: function(obj) {
        //location.reload();
        console.log("Guardada "+nombrePlanta+" en "+x+y);
        $("#divPlanta_"+x+y).html('<img class="planta" id="imgPlanta_2" width="70px" src="/iconos/'+nombrePlanta+'.png">');
        editarPlanta(x, y, obj.planta, "", "");
      },
      error: function() {
         console.log("Error");
      },
      dataType : 'json'
  });
}

function guardarCambios(x, y) {

  data =  {
    x:x,
    y:y,
    fecha:document.getElementById("nuevaFecha").value,
    comentarios:document.getElementById("nuevosComentarios").value
  }
  $.ajax({
      url: "guardarCambios.php",
      type: "post",
      data: data,
      success: function(obj) {
        console.log("Planta añadida con éxito");
        location.reload();
      },
      error: function() {
         alert("Ha surgido un error guardando los cambios, vuelva a intentarlo más tarde");
         var popup = document.getElementById("myPopup");
         popup.classList.remove("showSelector");
         popup.classList.remove("showInformacion");
         popup.classList.add("popuptext");
      },
      dataType : 'json'
  });

}

function editarPlanta(posX, posY, nombrePlanta, fecha, comentarios){


  comentarios = comentarios.replace(new RegExp("<br>", 'g'), '\n');


  console.log("Formulario edición");
  var popup = document.getElementById("myPopup");

    popup.innerHTML =
      "<div style='text-align:left;padding-right:10px;padding-top:5px' id='infoPlanta'>"+

        "<span style='font-size:1.5em; color:#333; margin:10px;' id='iconoVolver' onclick='infoPlanta(\"" + nombrePlanta + "\", \"" + fecha + "\", \"" + comentarios.replace(new RegExp('\n', 'g'), '<br>') + "\", " + posX + ", " + posY + ")'>" +
          "<img width='10%' src='/iconos/volver.png' >"+
        "</span>";

    comentarios = comentarios.replace(new RegExp("<br>", 'g'), '\n');

    popup.innerHTML +=
      "</div>"+

      "<div style='text-align:center !important;padding:10px;padding-bottom:0px;'>"+
      "<div style='font-size: 1.5em; font-weight:bold;' id='nombre'>" + nombrePlanta + "</div>"+
      "<div style='text-align:left !important;padding:10px;padding-top:0px;'>"+
      "<hr style='margin-right:20px;margin-left:20px; margin-bottom:5px !important; margin-top:5px !important;opacity:.40'>"+
      "<span style='font-style:bold'> Plantada el día: </span> "+
      "<input style='color:black;border:0px; border-radius: 6px;' type='date' id='nuevaFecha' value='"+fecha+"'>"+
      "<hr style='margin-right:20px;margin-left:20px; margin-bottom:5px !important; margin-top:5px !important;opacity:.40'>"+
      "<span style='font-style:bold'> Comentarios: </span> "+
      "<textarea rows='4' cols='10' style='color:black !important;border:0px;height:150px;width:100%;border-radius: 6px;text-align:top !important' type='text' id='nuevosComentarios'>"+comentarios+"</textarea>"+
      "<button style='border:0px; width:60%; border-radius: 6px; color:black; text-align: center; margin-left:20%; margin-right:20%; margin-top:10px;' onclick='guardarCambios(" + posX + ", " + posY + ")'> Guardar </button>" +
      "</div>"+
      "</div>";

      if (fecha=="") {
        var date = new Date();

        var day = date.getDate();
        var month = date.getMonth() + 1;
        var year = date.getFullYear();

        if (month < 10) month = "0" + month;
        if (day < 10) day = "0" + day;

        var today = year + "-" + month + "-" + day;
        document.getElementById("nuevaFecha").value = today;
      }

}

function eliminarPlanta(posX, posY){
  var popup = document.getElementById("myPopup");
  console.log("Eliminando...");
  data =  {
    x:posX,
    y:posY,
  }
  $.ajax({
      url: "borrarPlanta.php",
      type: "post",
      data: data,
      success: function(obj) {
        location.reload();
      },
      error: function() {
         alert("Ha surgido un error eliminando la planta, vuelva a intentarlo más tarde");
         var popup = document.getElementById("myPopup");
         popup.classList.remove("showSelector");
         popup.classList.remove("showInformacion");
         popup.classList.add("popuptext");
      },
      dataType : 'json'
  });

}


// muestra la información de la planta
function infoPlanta(nombre, fecha, comentarios, posX, posY){

  popup = document.getElementById("myPopup");
  popup.innerHTML =

  "<div style='text-align:right;padding-right:10px;padding-top:5px' id='infoPlanta'>"+
    "<span style='margin:10px' id='iconoEditarPlanta' onclick='editarPlanta(" + posX + ", " + posY + ", \"" + nombre + "\", \"" + fecha + "\", \"" + comentarios + "\")'>" +
      "<img width='10%' src='/iconos/editar.png' >"+
    "</span>"+

    "<span style='margin:10px' id='iconoBorrarPlanta' onclick='if (confirm(\"Deseas eliminar la planta?\")) {eliminarPlanta(" + posX + ", " + posY + ");}'>" +
      "<img width='10%' src='/iconos/eliminar.png' >"+
    "</span>"+

    "<span style='font-size:1.5em; color:#333; margin:10px;' id='iconoBorrarDiv' onclick=\" $('#myPopup').attr('class', 'popuptext'); $('#divPlanta_'+plantaSeleccionada).attr('class', 'plantaNormal'); plantaSeleccionada='';\">" +
      "<img width='10%' src='/iconos/cerrar.png' >"+
    "</span>"+

  "</div>"+

  "<div style='text-align:left !important;padding:20px!important'>"+
    "<div style='text-align:center; font-size: 1.5em; font-weight:bold'>" + nombre + "</div>"+
    "<hr style='margin-right:20px;margin-left:20px; margin-bottom:5px !important; margin-top:5px !important;opacity:.40'>"+
    "<span style='font-weight:bold'> Plantada el día: " + fecha + "</span> "+
    "<hr style='margin-right:20px;margin-left:20px; margin-bottom:5px !important; margin-top:5px !important;opacity:.40'>"+
    "<span style='font-weight:bold'> Comentarios: </span> </br> "+
    "<div style='border-radius:5px !important;background-color:white; opacity:.6; max-height:100px;overflow: auto;'> "+
    "<div style='max-width:90%!important;color:black;text-align:justify;'>"+ comentarios + "</div></div>" +
  "</div>";

  popup.classList.remove("popupText");
  popup.classList.remove("showSelector");
  popup.classList.add("showInformacion");
}
